var windowId,proName = window.location.pathname.split("/")[1],sysUrl = "http://"+window.location.host+"/"+proName,toEdit;
$(function(){
	initDefault();	
});
//默认
function initDefault(){
	/*
	$('#xx5').combobox({  
		url:'xtclAction!query_Xtcl.do?csdl=xx5&page=1&rows=1000', 
		textField:"csmc",  
		valueField:"csdm",
		panelWidth:148,
		loadFilter:function(data){
			//data.unshift({"csmc":"选择","csdm":""});
			return data;
		}
	});
	$("#xx6").textbox("setValue",records.xx6);
	$("#xx7").combobox("setValue",records.xx7);
	$("#xx8").combobox("setValue",records.xx8);
	$("#xx9").datetimebox("setValue",$.getNowTime());
	$("#xx10").datetimebox("setValue",$.getTodayStart('00:00:00',-3));//往前推3天  +'00:00:00'
	$("#xx11").datetimebox("setValue",$.getTodayEnd());//当天 +'23:59:59'	
	$("#xx12").datetimebox("setValue",$.getDateNumToStr(records.xx12));
	$("#xx13").numberbox("setValue",records.xx13);
	*/
	initGrid();
}
//查询条件
function getQueryParams(){
	var sParam = {};
	/*
	sParam.LIKEruleid = $('#LIKEruleid').textbox("getValue");
	sParam.LIKEtaskid = $('#LIKEtaskid').textbox("getValue");
	sParam.LIKEruleruntime = $('#LIKEruleruntime').textbox("getValue");
	sParam.LIKEnosignalswitch = $('#LIKEnosignalswitch').textbox("getValue");
	sParam.LIKEimgclearswitch = $('#LIKEimgclearswitch').textbox("getValue");
	sParam.LIKEimgclearunderlevel = $('#LIKEimgclearunderlevel').textbox("getValue");
	sParam.LIKEimgclearupperlevel = $('#LIKEimgclearupperlevel').textbox("getValue");
	sParam.LIKEimgcontrastswitch = $('#LIKEimgcontrastswitch').textbox("getValue");
	sParam.LIKEimgcontrastunderlevel = $('#LIKEimgcontrastunderlevel').textbox("getValue");
	sParam.LIKEimgcontrastupperlevel = $('#LIKEimgcontrastupperlevel').textbox("getValue");
	sParam.LIKEimgcolorswitch = $('#LIKEimgcolorswitch').textbox("getValue");
	sParam.LIKEimgcolordeviation = $('#LIKEimgcolordeviation').textbox("getValue");
	sParam.LIKEimglightswitch = $('#LIKEimglightswitch').textbox("getValue");
	sParam.LIKEimglightunderlevel = $('#LIKEimglightunderlevel').textbox("getValue");
	sParam.LIKEimglightupperlevel = $('#LIKEimglightupperlevel').textbox("getValue");
	sParam.LIKEvideofreezeswitch = $('#LIKEvideofreezeswitch').textbox("getValue");
	sParam.LIKEvideofreezedegree = $('#LIKEvideofreezedegree').textbox("getValue");
	sParam.LIKEvideojitterswitch = $('#LIKEvideojitterswitch').textbox("getValue");
	sParam.LIKEvideojitterdegree = $('#LIKEvideojitterdegree').textbox("getValue");
	sParam.LIKEvideoupheavalswitch = $('#LIKEvideoupheavalswitch').textbox("getValue");
	sParam.LIKEvideoupheavaldegree = $('#LIKEvideoupheavaldegree').textbox("getValue");
	sParam.LIKEvideocodeerrorswitch = $('#LIKEvideocodeerrorswitch').textbox("getValue");
	sParam.LIKEvideocodeerrordegree = $('#LIKEvideocodeerrordegree').textbox("getValue");
	sParam.LIKEvideonoiseswitch = $('#LIKEvideonoiseswitch').textbox("getValue");
	sParam.LIKEvideonoisedegree = $('#LIKEvideonoisedegree').textbox("getValue");
	sParam.LIKEvideorollstripeswitch = $('#LIKEvideorollstripeswitch').textbox("getValue");
	sParam.LIKEvideorollstropedegree = $('#LIKEvideorollstropedegree').textbox("getValue");
	sParam.LIKEcreateaccount = $('#LIKEcreateaccount').textbox("getValue");
	sParam.LIKEcreatetime = $('#LIKEcreatetime').textbox("getValue");
	sParam.LIKEmodifyaccount = $('#LIKEmodifyaccount').textbox("getValue");
	sParam.LIKEmodifytime = $('#LIKEmodifytime').textbox("getValue");
	sParam.LIKEremarks = $('#LIKEremarks').textbox("getValue");
	sParam.LIKEextend1 = $('#LIKEextend1').textbox("getValue");
	sParam.LIKEextend2 = $('#LIKEextend2').textbox("getValue");
	sParam.LIKEextend3 = $('#LIKEextend3').textbox("getValue");
	sParam.LIKEextend4 = $('#LIKEextend4').textbox("getValue");

	*/
	/*
	var xx1 = $("#xx1").textbox("getValue");//文本
	var xx2 = $("#xx2").combobox("getValue");//下拉
	var xx3 = $("#xx3").datetimebox("getValue");//日期
	var xx4 = $("#xx4").numberbox("getValue");//数字
	var LIKEtime1 = $('#LIKEtime1').datetimebox("getValue");	
	var LIKEtime2 = $('#LIKEtime1').datetimebox("getValue");	
	var tableparam = "";
	if(!(LIKEtime1==null||LIKEtime1==""||LIKEtime1==undefined)){
		tableparam += " AND time > '" +LIKEtime1 + "'";
	}
	if(!(LIKEtime2==null||LIKEtime2==""||LIKEtime2==undefined)){
		tableparam += " AND time < '" +LIKEtime2 + "'";
	}
	sParam.tableparam = tableparam;
	sParam.order = "order by time desc ";
	*/
	return sParam;
}
//加载列表
function initGrid(){	
	var toolbar = [{
    	text    :	'刷新',
        iconCls : 	'icon-refresh',
        handler : 	function(){location.reload(true);}
    },{
    	text	:	'查询',
        iconCls	:	'icon-search',
        handler	:	doSearch
    },{
        text	:	'增加',
        iconCls	:	'icon-add',
        handler	:	doAdd
    },{
        text	:	'修改',
        iconCls	:	'icon-cut',
        handler	:	doEdit
    },{
        text	:	'删除',
        iconCls	:	'icon-delete',
        handler	:	doDelete
    }/*,{
        text	:	'模板',
        iconCls	:	'icon-export-excel',
        handler	:	doTemplate
    },{
        text	:	'导入',
        iconCls	:	'icon-update',
        handler	:	doImport
    },{
        text	:	'导出',
        iconCls	:	'icon-download',
        handler	:	doExport
    }*/];
	$('#tableGrid').datagrid({
		toolbar : toolbar,
		singleSelect:true,
		rownumbers:true,
		queryParams:getQueryParams(),
		url : 'ywvideotaskruleAction!listYwvideotaskruleByPage.do',
		columns : [[
		    {
				field: 'A',
				checkbox:'true',
				width:30
			},
		    {field:'ruleid',title:'ruleid',hidden:true,width:120, 
				formatter:function showClick(value,record,num){ 
					return "<a  href='javascript:void(0);' class='ahref' onclick='doUpdate("+num+")'>"+value+"</a>";
				}
 			},
			{field:'taskid',title:'参数配置名称',hidden:false,width:120},
			{field:'ruleruntime',title:'时间段',hidden:false,width:120},
			{field:'nosignalswitch',title:'无信号检测开关',hidden:false,width:120},
			{field:'imgclearswitch',title:'图像清晰检测开关',hidden:false,width:120},
			{field:'imgclearunderlevel',title:'图像清晰度检测下水位阀值',hidden:false,width:120},
			{field:'imgclearupperlevel',title:'图像清晰度检测上水位阀值',hidden:true,width:120},
			{field:'imgcontrastswitch',title:'图像对比度检测开关',hidden:true,width:120},
			{field:'imgcontrastunderlevel',title:'图像对比度检测下水位阀值',hidden:true,width:120},
			{field:'imgcontrastupperlevel',title:'图像对比度检测上水位阀值',hidden:true,width:120},
			{field:'imgcolorswitch',title:'偏色检测开关',hidden:true,width:120},
			{field:'imgcolordeviation',title:'颜色色偏',hidden:true,width:120},
			{field:'imglightswitch',title:'亮度检测开关',hidden:true,width:120},
			{field:'imglightunderlevel',title:'亮度检测低水位',hidden:true,width:120},
			{field:'imglightupperlevel',title:'亮度检测高水位',hidden:true,width:120},
			{field:'videofreezeswitch',title:'视频冻结检测开关',hidden:true,width:120},
			{field:'videofreezedegree',title:'spdjcd',hidden:true,width:120},
			{field:'videojitterswitch',title:'镜头抖动检测开关',hidden:true,width:120},
			{field:'videojitterdegree',title:'镜头抖动程度',hidden:true,width:120},
			{field:'videoupheavalswitch',title:'视频剧变检测开关',hidden:true,width:120},
			{field:'videoupheavaldegree',title:'视频剧变程度',hidden:true,width:120},
			{field:'videocodeerrorswitch',title:'编码异常检测开关',hidden:true,width:120},
			{field:'videocodeerrordegree',title:'编码异常程度',hidden:true,width:120},
			{field:'videonoiseswitch',title:'噪声检测开关',hidden:true,width:120},
			{field:'videonoisedegree',title:'噪声雪花异常程度',hidden:true,width:120},
			{field:'videorollstripeswitch',title:'稳定滚动条纹检测开关',hidden:true,width:120},
			{field:'videorollstropedegree',title:'稳定滚动条纹异常程度',hidden:true,width:120},
			{field:'createaccount',title:'创建人员',hidden:true,width:120},
			{field:'createtime',title:'创建日期',hidden:true,width:120},
			{field:'modifyaccount',title:'修改人员',hidden:true,width:120},
			{field:'modifytime',title:'修改日期',hidden:true,width:120},
			{field:'remarks',title:'备注',hidden:true,width:120},
			{field:'extend1',title:'扩展1',hidden:true,width:120},
			{field:'extend2',title:'扩展2',hidden:true,width:120},
			{field:'extend3',title:'扩展3',hidden:true,width:120},
			{field:'extend4',title:'扩展4',hidden:true,width:120}
		]]
	});
}
//删除
function doDelete(){
	var selRows = $('#tableGrid').datagrid('getSelected'); 
	if(!selRows){
		$.showMsg('请先选择记录! ');
		return;
	}
	top.$.dlg.confirm('确认删除?',function(){
		$.ajax({
			type:'post',
			dataType : 'json',
			url:'ywvideotaskruleAction!delete_Ywvideotaskrule.do',
			data:{
				ruleid	:	selRows.ruleid

			},
			success:function(flag){
				if(flag == "success"){
					$.showMsg("操作成功！");
					doSearch();
				}else{
					$.showMsg("操作失败！");
				}
			}
		});
	});
}
//批量删除
function doDelete_batch(){
	var selRows = $('#tableGrid').datagrid('getChecked'); 
	var keyword = [];
	 if(selRows===null){
		$.showMsg('请先选择一行! ');
		 return;
	 }else{
		for(var i=0; i<selRows.length; i++){
			keyword.push(selRows[i].ruleid);
		}
		top.$.dlg.confirm('你确认要删除吗?',function(){ 
		    $.ajax({
				 type:'post',
				 dataType : 'json',
				 url:'ywvideotaskruleAction!batch_delete_Ywvideotaskrule.do',
				 data:{keyword	:	keyword.join(",")},
				 success:function(flag){
				 	if(!$.isNull(flag)){
						$.showMsg("操作成功！");
					 	doSearch();
					}else{
						$.showMsg("操作失败！");
					}
				}
			 });
		}); 
	}
}
//查询
function doSearch(){	
	$('#tableGrid').datagrid('load',getQueryParams());
}
//增加
function doAdd(){
	toEdit=false;
	windowId = top.$.createWin({
		title	: 	'增加信息',
		width	:  	650,
		height	: 	300,
		buttons:  [{
			text:$.fn.textbox.defaults.ok,
			handler:saveNodeInfo
		}],
		url	:	sysUrl+"/im/ywvideotaskrule/ywvideotaskrule_show.jsp"
	 });
}
//修改
function doUpdate(index){
	toEdit=true;
	var selRows = $('#tableGrid').datagrid('getRows')[index];
	windowId = top.$.createWin({
		title	: 	'修改信息',
		width	:  	650,
		height	: 	300,
		data   	:   selRows,
		buttons:  [{
			text:$.fn.textbox.defaults.ok,
			handler:saveNodeInfo
		}],
		url	:	sysUrl+"/im/ywvideotaskrule/ywvideotaskrule_show.jsp"
	});
}
//保存
function saveNodeInfo(){
	var win		=	$.getTopWindowById(windowId);
	var jq		=	win.$;
	var model   =   $.getFormValues("childform",windowId);
	console.log(model);
	if(!win.$('#childform').form('enableValidation').form('validate')){
      return;
	}
	if(toEdit){//修改
		model.XGTJruleid = jq('#ruleid').val();

		//model.checkparam = " and xh='"+model.xh+"' ";
		$.ajax({
			type:'post',
			dataType : 'json',
			url:'ywvideotaskruleAction!update_Ywvideotaskrule.do',
			data:model,
			success:function(value){
				if(value=="success"){
					$.showMsg("操作成功！");
					top.$("#"+windowId).dialog('close');
					doSearch();
				}else if(value=="same"){
					$.showMsg("已存在！");
				}else{
					$.showMsg("操作失败！");
				}
			}
		});
	}else{
		//model.checkparam = " and xh='"+model.xh+"' ";
		$.ajax({
			type:'post',
			dataType : 'json',
			url:'ywvideotaskruleAction!insert_Ywvideotaskrule.do',
			data:model,
			success:function(value){
				if(value=="success"){
					$.showMsg("操作成功！");
					top.$("#"+windowId).dialog('close');
					doSearch();
				}else if(value=="same"){
					$.showMsg("已存在！");
				}else{
					$.showMsg("操作失败！");
				}
			}
		});
	}
}
//打开修改
function doEdit(){
	var selIndex = $('#tableGrid').datagrid('getRowIndex', $("#tableGrid").datagrid('getSelected'))
	if(selIndex==-1){
		$.showMsg('请先选择一行! ');
		 return;
	}else{
		doUpdate(selIndex);
	}		
}
//模板下载
function doTemplate(){
	var baseUrl = $.proPath();
	var downFile = baseUrl+"/down/down.xls";
	window.location.href= downFile;
}
//导入
function doImport(){
	toEdit=false;
	windowId = top.$.createWin({
		 id		:	$.uniqueId(),
		 title	: 	'导入',
		 width	:  	400,
		 height	: 	130,
		 url	:	sysUrl+"/im/xx/ywvideotaskrule_imp.jsp"
	 });
}
//导出
function doExport(){
	var model = getQueryParams();
	$.ajax({
		type : 'post',
		dataType : 'json',
		data : model,
		url : 'ywvideotaskruleAction!count_Ywvideotaskrule.do',
		success : function(value) {
			if(!$.isNull(value)){
				countExport(value);
			}else{
				$.showMsg("操作失败！");
			}
		}
	});
}
// 导出传参条件
function countExport(totalSize) {
	var limit = 5000;
	if (totalSize > 5000) {
		top.$.dlg.confirm('记录过多支持前5000条,确定要将记录导出Excel为表格吗?',function(){ 
			execExport();
		});		
	} else {
		top.$.dlg.confirm('确认导出?',function(){ 
			execExport();
		})
	}
}
// 调用后台
function execExport() {
	var model = getQueryParams();
	var downParam = "";
	document.excelForm.action = 'ywvideotaskruleAction!exp_Ywvideotaskrule.do?'+downParam;
	document.excelForm.submit(); 
}
